Name:           perl-String-Approx
Version:        3.28
Release:    1%{?dist}
Summary:        Perl extension for approximate (fuzzy) matching
License:        (LGPL-2.0-or-later OR Artistic-1.0-Perl) AND (Artistic-2.0 OR LGPL-2.0-only)
URL:            https://metacpan.org/release/String-Approx
Source0:        https://cpan.metacpan.org/authors/id/J/JH/JHI/String-Approx-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(:VERSION) >= 5.8.0
BuildRequires:  perl(Carp)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(integer)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(Test::More)

%description
String::Approx lets you match and substitute strings approximately. With
this you can emulate errors: typing errors, speling errors, closely
related vocabularies (colour vs. color), genetic mutations (GAG vs. ACT),
abbreviations (McScot, MacScot).


%prep
%setup -q -n String-Approx-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}


%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*


%check
make test


%files
%license Artistic COPYRIGHT COPYRIGHT.agrep LGPL
%doc ChangeLog PROBLEMS README README.apse
%dir %{perl_vendorarch}/auto/String
%{perl_vendorarch}/auto/String/Approx
%dir %{perl_vendorarch}/String
%{perl_vendorarch}/String/Approx.pm
%{_mandir}/man3/String::Approx.*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.28-1
- initial build
